Package org.drinkless.tdlib

# Class TdApi.ChatEventProfileAccentColorChanged

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatEventAction
org.drinkless.tdlib.TdApi.ChatEventProfileAccentColorChanged

Enclosing class:
  TdApi

public static class TdApi.ChatEventProfileAccentColorChanged extends TdApi.ChatEventAction
The chat's profile accent color or profile background custom emoji were changed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.ChatEventAction

  `TdApi.ChatEventAction.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `newProfileAccentColorId`
  New identifier of chat's profile accent color; -1 if none.
  `long`
  `newProfileBackgroundCustomEmojiId`
  New identifier of the custom emoji; 0 if none.
  `int`
  `oldProfileAccentColorId`
  Previous identifier of chat's profile accent color; -1 if none.
  `long`
  `oldProfileBackgroundCustomEmojiId`
  Previous identifier of the custom emoji; 0 if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatEventProfileAccentColorChanged()`
  The chat's profile accent color or profile background custom emoji were changed.
  `ChatEventProfileAccentColorChanged(int oldProfileAccentColorId, long oldProfileBackgroundCustomEmojiId, int newProfileAccentColorId, long newProfileBackgroundCustomEmojiId)`
  The chat's profile accent color or profile background custom emoji were changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### oldProfileAccentColorId

    public int oldProfileAccentColorId
    Previous identifier of chat's profile accent color; -1 if none.

  - ### oldProfileBackgroundCustomEmojiId

    public long oldProfileBackgroundCustomEmojiId
    Previous identifier of the custom emoji; 0 if none.

  - ### newProfileAccentColorId

    public int newProfileAccentColorId
    New identifier of chat's profile accent color; -1 if none.

  - ### newProfileBackgroundCustomEmojiId

    public long newProfileBackgroundCustomEmojiId
    New identifier of the custom emoji; 0 if none.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatEventProfileAccentColorChanged

    public ChatEventProfileAccentColorChanged()
    The chat's profile accent color or profile background custom emoji were changed.

  - ### ChatEventProfileAccentColorChanged

    public ChatEventProfileAccentColorChanged(int oldProfileAccentColorId, long oldProfileBackgroundCustomEmojiId, int newProfileAccentColorId, long newProfileBackgroundCustomEmojiId)
    The chat's profile accent color or profile background custom emoji were changed.
    Parameters:
      `oldProfileAccentColorId` - Previous identifier of chat's profile accent color; -1 if none.
      `oldProfileBackgroundCustomEmojiId` - Previous identifier of the custom emoji; 0 if none.
      `newProfileAccentColorId` - New identifier of chat's profile accent color; -1 if none.
      `newProfileBackgroundCustomEmojiId` - New identifier of the custom emoji; 0 if none.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.ChatEventAction`
    Returns:
      this.CONSTRUCTOR